Patchwork [v4] packagegroup-qt-toolchain-target.inc: add libQtUiTools static library

login
register
mail settings
Submitter Diego Sueiro
Date Feb. 26, 2014, 6:35 p.m.
Message ID <1393439715-317-1-git-send-email-diego.sueiro@gmail.com>
Download mbox | patch
Permalink /patch/67491/
State New
Headers show

Comments

Diego Sueiro - Feb. 26, 2014, 6:35 p.m.
libQtUiTools is only built as a static library by upstream intentionally.
So, libQtUiTools.a and libQtUiToolsE.a needs to be installed on meta-toolchain-qt
and meta-toolchain-qte respectively.
Whitout this static library, building qt apps which needs uitools will fail.

qt4[-embedded]-staticdev is the package that contains this library and is the
only file in it.

Since a static library is shipped, special attention regarding the lincese
should be taken.

Signed-off-by: Diego Sueiro <diego.sueiro@gmail.com>
---
 meta/recipes-qt/packagegroups/packagegroup-qt-toolchain-target.inc |    1 +
 1 file changed, 1 insertion(+)
Phil Blundell - Feb. 26, 2014, 9:17 p.m.
On Wed, 2014-02-26 at 15:35 -0300, Diego Sueiro wrote:
> libQtUiTools is only built as a static library by upstream intentionally.
> So, libQtUiTools.a and libQtUiToolsE.a needs to be installed on meta-toolchain-qt
> and meta-toolchain-qte respectively.
> Whitout this static library, building qt apps which needs uitools will fail.
> 
> qt4[-embedded]-staticdev is the package that contains this library and is the
> only file in it.

If this library is intentionally static-only, shouldn't it go in qt4-dev
rather than qt4-staticdev?

p.
Khem Raj - Feb. 26, 2014, 9:22 p.m.
On Wed, Feb 26, 2014 at 1:17 PM, Phil Blundell <pb@pbcl.net> wrote:
> If this library is intentionally static-only, shouldn't it go in qt4-dev

yes I believe so

Patch

diff --git a/meta/recipes-qt/packagegroups/packagegroup-qt-toolchain-target.inc b/meta/recipes-qt/packagegroups/packagegroup-qt-toolchain-target.inc
index fc1ccba..b040182 100644
--- a/meta/recipes-qt/packagegroups/packagegroup-qt-toolchain-target.inc
+++ b/meta/recipes-qt/packagegroups/packagegroup-qt-toolchain-target.inc
@@ -33,4 +33,5 @@  RDEPENDS_${PN} += " \
         libqt${QTLIBPREFIX}xmlpatterns4-dev \
         libsqlite3-dev \
         expat-dev \
+        qt4${QTLIBPREFIX}-staticdev \
         "